VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::recovery::backup::JobTypes::LocalizableMessage Class Reference

`Job.LocalizableMessage` class Structure representing message More...

List of all members.

## Public Member Functions
| LocalizableMessage ()
| Creates a default new instance.
string | GetId ()
| id in message bundle
void | SetId (string id)
| id in message bundle
string | GetDefaultMessage ()
| text in english
void | SetDefaultMessage (string defaultMessage)
| text in english
global::System.Collections.Generic.List < string > | GetArgs ()
| nested data
void | SetArgs (global::System.Collections.Generic.List< string > args)
| nested data
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Job.LocalizableMessage` class Structure representing message

## Constructor & Destructor Documentation

vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::LocalizableMessage | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.List<string> vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::GetArgs | ( |  | ) | `[inline]`

nested data

string vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::GetDefaultMessage | ( |  | ) | `[inline]`

text in english

override int vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::GetHashCode | ( |  | ) | `[inline]`

string vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::GetId | ( |  | ) | `[inline]`

id in message bundle

void vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::SetArgs | ( | global::System.Collections.Generic.List< string > | args | ) | `[inline]`

nested data

void vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::SetDefaultMessage | ( | string | defaultMessage | ) | `[inline]`

text in english

void vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::SetId | ( | string | id | ) | `[inline]`

id in message bundle

override string vmware::appliance::recovery::backup::JobTypes::LocalizableMessage::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- backup/JobTypes.cs